Creating an oAuth Client - what level of access is required?

BarryLennon

04-10-2018

Background

In the past, I have accessed Adobe Analytics data via the v1.3 and v1.4 APIs, for example, by running JavaScript or Python code.

I would like to access Adobe Analytics (Experience Cloud) data and User Management API (Adobe Services) data via the v2.0 API.

My "highest" level of access within my organisation is "Product Administrator" for Adobe Analytics.

Problem

In order to access the v2.0 API, it would appear that I need to create an "Integration"; I have attempted to follow the steps documented on this link:  analytics-2.0-apis/create-oauth-client.md at master · AdobeDocs/analytics-2.0-apis · GitHub

When I reach the "Create a new integration" page (see red boxes in screenshot), the options I am interested in are greyed out.

1587325_pastedImage_19.png

Questions

  1. What level of "Adminstrator" (or other role or permission) do I need in order to be able to create an integration?
    • It seems odd to be be a "Product Administrator" and yet not be able to complete the steps necessary to access the API for that product
  2. Is there any detailed documentation regarding permissions and associated capabilities?  I've listed a couple of ones I've found that didn't help:

Accepted Solutions (1)

Accepted Solutions (1)

Kenelson2

Employee

08-10-2018

Good morning!

What level of "Adminstrator" (or other role or permission) do I need in order to be able to create an integration?

  • It seems odd to be be a "Product Administrator" and yet not be able to complete the steps necessary to access the API for that product

Answer: You should be a System Administrator in your Cloud for this part.

Is there any detailed documentation regarding permissions and associated capabilities?  I've listed a couple of ones I've found that didn't help:

When Adobe I/O talks about Admin rights it really means Sys Admin rights.

Let me know if you have any other questions there.

Best,

Kerry

Answers (0)